Subject: Ange-ftp et. al...

From: Chris Szurgot <[email-masked]>
Date: Mon, 16 Jun 1997 08:29:44 -0400 ()

I've always known that the ftp program I ported was poorly done, and
especially has trouble with firewalls (A problem I'm wrestling with
myself)

However, I'd noticed recently that you can get around the limitation where
Microsoft's ftp expect the password to be typed in (in won't take it
from a pipe) by "quote"ing the username/password string. Would some
emacs-lisp guru be able to use this information to allow ange-ftp to use
the standard ftp, this saving us all a LOT of headache? (I can't seem to
sort it out, and don't have much time lately.) :(

Sample sessions follow. 

This is the session ripped from an emacs login...
ftp> open porthos
Connected to porthos.itribe.net.
220 porthos.itribe.net FTP server ready.
ftp> user "szurgot" Turtle Power!
331 Password required for szurgot.
230 User szurgot logged in.
ftp> hash
Hash mark printing on (1024 bytes/hash mark).
ftp> ls "-al /" c:/tmp/ange-ftpa00269
200 PORT command successful.
150 Opening ASCII mode data connection for '/bin/ls'.

226 Transfer complete.

And here is a sample using the "quote" command.
C:\TEMP>ftp -n
ftp> open ftp.microsoft.com
Connected to ftp.microsoft.com.
220 ftp Microsoft FTP Service (Version 3.0).
ftp> quote user anonymous
331 Anonymous access allowed, send identity (e-mail name) as password.
ftp> quote pass [email-masked]
230-This is FTP.MICROSOFT.COM.  Please see the
 dirmap.txt file for more information.

 An alternate location for Windows NT
 Service Packs is located at:

 ftp://198.105.232.37/fixes/
230 Anonymous user logged in.
ftp>

NOTE: the whole "Turtle Power!" thing doesn't work, but otherwise, this
should work, right?

Chris

PS. Mind you, I'm not done trying myself, but...

Chris